'use strict';

define([
  'angular',
  'widgets/mapapp/importdxf/directives/importdxfwidget',
  'widgets/mapapp/importdxf/services/importdxfservice',
  'angular-strap',
  'angular-strap.tpl',

  'angular-route',

  'toastr',
  'ol3js',
  'ng-table',
], function(angular, importdxfwidget, importdxfservice) {
  var gcimportdxf = angular.module('gc_importdxf', ['pascalprecht.translate']);

  //ajout directive
  gcimportdxf.directive('importdxfwidget', importdxfwidget);
// ajout service
  gcimportdxf.factory('importdxfservice', importdxfservice);

  // ajout service
  gcimportdxf.factory('importdxfservice', importdxfservice);

  return gcimportdxf;
});
